# This file created by conda-build 26.3.0
# ------------------------------------------------

package:
  name: libnghttp2
  version: 1.69.0
source:
  url: https://github.com/nghttp2/nghttp2/releases/download/v1.69.0/nghttp2-1.69.0.tar.gz
  sha256: c866b7477cbb7512ab6863a685027adbb1bb8da8fc3bab7429ed43d3281d5aa9
build:
  run_exports:
    - libnghttp2 >=1.69.0,<1.70.0a0
  number: 0
  string: hc59f8b6_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - gcc_impl_linux-64 15.2.0 h36674fd_7
    - gcc_linux-64 15.2.0 h1ca4c6b_13
    - gxx_impl_linux-64 15.2.0 h6e002af_7
    - gxx_linux-64 15.2.0 h94d4220_13
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libgcc 15.2.0 h69a1729_7
    - libgcc-devel_linux-64 15.2.0 hcb64138_107
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libltdl 2.6.0 h47b2149_0
    - libsanitizer 15.2.0 h56912e6_7
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-devel_linux-64 15.2.0 hcb64138_107
    - libtool 2.6.0 h7354ed3_0
    - make 4.2.1 h1bed415_1
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026a he532380_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - c-ares 1.34.6 hd44998d_0
    - ca-certificates 2026.3.19 h06a4308_0
    - icu 73.1 h6a678d5_0
    - jansson 2.14 h5eee18b_1
    - libev 4.33 h7f8727e_1
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libxml2 2.14.4 h3457413_0
    - libzlib 1.3.1 h47b2149_1
    - openssl 3.5.6 h1b28b03_0
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
  run:
    - __glibc >=2.28,<3.0.a0
    - c-ares >=1.34.6,<2.0a0
    - jansson >=2.14,<3.0a0
    - libev >=4.33,<4.34.0a0
    - libgcc >=15
    - libstdcxx >=15
    - libxml2 >=2.14.4,<2.15.0a0
    - libzlib >=1.3.1,<2.0a0
    - openssl >=3.5.6,<4.0a0
    - zlib
test:
  commands:
    - nghttp -nv https://nghttp2.org
    - test ! -f ${PREFIX}/lib/libnghttp2.a
    - test -f ${PREFIX}/lib/libnghttp2${SHLIB_EXT}
about:
  home: https://github.com/nghttp2/nghttp2
  license: MIT
  license_family: MIT
  license_file: COPYING
  summary: This is an implementation of Hypertext Transfer Protocol version 2.
  description: 'This is an implementation of the Hypertext Transfer Protocol version
    2 in C.


    The framing layer of HTTP/2 is implemented as a reusable C library. On top

    of that, we have implemented an HTTP/2 client, server and proxy. We have

    also developed load test and benchmarking tools for HTTP/2.

    '
  doc_url: https://nghttp2.org/documentation
  dev_url: https://github.com/nghttp2/nghttp2
extra:
  recipe-maintainers:
    - cpaulik
    - mariusvniekerk
    - wolfv
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/nghttp2-feedstock
  sha: 13d7d5247b65cc2525d4d282c2a96b42576ddc1b
  task_id: fa-zs8gHQnu94Lm1mBiD2w
  task_run_id: '0'
  pbp_graph_uuid: deb9ce0f-af06-4192-9971-a7756217c6aa
